Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 524257 - Review Request: Sympa - An electronic mailing list manager
Review Request: Sympa - An electronic mailing list manager
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-18 10:54 EDT by Christopher X.S. Zee
Modified: 2010-05-17 04:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 04:03:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Christopher X.S. Zee 2009-09-18 10:54:13 EDT
SPEC URL: http://xiashing.fedorapeople.org/SPECS/sympa.spec
SRPM URL: http://xiashing.fedorapeople.org/SRPMS/sympa-6.0b.2-1.fc11.src.rpm
Description: Sympa is an electronic mailing list manager. It is used to automate list management functions such as subscription, moderation, archive and
shared document management. It also includes management functions which
would normally require a substantial amount of work.
Comment 1 Xavier Bachelot 2009-09-18 12:34:14 EDT
%file section must use macros.
/sample is a big no-no.
The apache conf is missing
list creation from the UI is probably not working
etc...

This needs a lot more work. I did not really take a look at sympa 6.0 yet, but I worked on packaging 5.4 some time ago and it needed much more magic, even if 6.0 is supposed to be much more friendly wrt FHS now. My work is far from finished, hence I did not submit it, but you might want to take a look.
http://www.bachelot.org/fedora/SPECS/sympa.spec
http://www.bachelot.org/fedora/SRPMS/sympa-5.4.7-3.fc10.src.rpm

I'll try to help as much as I can with this review.
Comment 2 Martin Gieseking 2009-09-18 13:29:42 EDT
A couple of quick comments:

* the license tag must be GPLv2+

* This is a pre-release, so you have to take care of the version and release number. See:  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#NonNumericRelease
  - Version: 6.0
  - Release: 0.X.b2%{?dist}
    (X is the revision number to increase)

* remove the build target (.f11) from the changelog entry
Comment 3 Christopher X.S. Zee 2009-09-18 21:51:46 EDT
Xavier,
What should I put instead of /sample? RPM probably won't recognize that as any macro. When I built the source, it didn't have an apache.conf or httpd.conf file. 

Martin,
I removed .f11 from the changelog and modified the license tag. When using the version and release you suggested, RPM doesn't want to build the file as it can't cd into the directory.

Also, I don't think it really matters since Sympa is a hard package, but I got a scratch build to build properly: https://koji.fedoraproject.org/koji/taskinfo?taskID=1690769
Comment 4 Martin Gieseking 2009-09-19 02:21:29 EDT
(In reply to comment #3)
> When using the
> version and release you suggested, RPM doesn't want to build the file as it
> can't cd into the directory.

Right. In this case you have to tell %setup the actual directory name:
%setup -q -n %{name}-%{version}b.2
Comment 5 Christopher X.S. Zee 2009-09-19 02:55:28 EDT
New SPEC: http://xiashing.fedorapeople.org/SPECS/sympa.spec
New SRPM: http://xiashing.fedorapeople.org/SRPMS/sympa-6.0-0.3.b2.fc11.src.rpm

%doc was updated

dist-rawhide fails with BuilldrootError: https://koji.fedoraproject.org/koji/taskinfo?taskID=1690991
dist-f11 completes successfully: https://koji.fedoraproject.org/koji/taskinfo?taskID=1690986

So a few more things to be done here:
/sample in %file has to be changed.
The apache conf is missing? I don't think it needs an apache conf
Comment 6 Xavier Bachelot 2009-09-22 20:22:06 EDT
You need to pass more option to %configure to have the files installed in the proper location. Take a look at the sympa install doc. (--enable-fhs, --with-defaultdir, etc...)

You must use macros in the %files section.
https://fedoraproject.org/wiki/Packaging:RPMMacros

The NVR (name-version-release) in changelog entries must match the actual NVR defined with Name: Version: Release tags.

The apache conf, log rotate conf, etc... are not provided in the tarball, but you need to add them to get a fully functional software. The provided initscripts are also not matching the fedora guidelines (default to enabled, no reload target iirc) I ended replacing them. You need to create a sympa user to run all the scripts. You need to create an additional mail alias file, etc... You really should take a look at the specfile and srpm I'm linking in my first comment. It is based on an older version of sympa and still far from perfect, but it will help you get a better idea of what is needed to get both a functional software and a specfile/srpm matching the Fedora guidelines.
Comment 7 Rakesh Pandit 2010-01-08 03:36:43 EST
May you move to 6.0.1 and address issues mentioned in comment #6. As soon as you do that I will do a detailed review.

Thanks,
Comment 8 Rakesh Pandit 2010-05-11 10:00:24 EDT
It has been long since any response. I will move close it as deferred if no response in a week.

Regards,
Rakesh Pandit
Comment 9 Rakesh Pandit 2010-05-17 04:03:01 EDT
Deferring it for time being. In case you find some time for it later on, pleas reopen the bug and update.

Regards,
Rakesh Pandit

Note You need to log in before you can comment on or make changes to this bug.